%{?nodejs_find_provides_and_requires}
%global packagename spdx-exceptions
Name:                 nodejs-spdx-exceptions
Version:              1.0.5
Release:              2
Summary:              A list of SPDX standard license exceptions
License:              CC-BY-3.0
URL:                  https://github.com/jslicense/spdx-exceptions.json
Source0:              https://github.com/jslicense/spdx-exceptions.json/archive/v%{version}.tar.gz
ExclusiveArch:        %{nodejs_arches} noarch
BuildArch:            noarch
BuildRequires:        nodejs-packaging
%description
List of SPDX standard license exceptions

%prep
%autosetup -n spdx-exceptions.json-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jun 16 2022 Chenyx <chenyixiong3@huawei.com> - 1.0.5-2
- License compliance rectification

* Wed Aug 12 2020 zhanghua <zhanghua40@huawei.com> - 1.0.5-1
- package init
